NOTE! This site uses cookies and similar technologies.

If you not change browser settings, you agree to it.

I understand

Welcome, Guest
Username: Password: Remember me

TOPIC: Compile ffmpeg with libx264 encoder OR install it

Compile ffmpeg with libx264 encoder OR install it 1 year 2 months ago #1

  • pajtaz
  • pajtaz's Avatar
  • Offline
  • Fresh Boarder
  • Posts: 19
  • Thank you received: 1
  • Karma: 0
Hello,

I am running Kodi on OpenELEC and Cubox-i4x4. I want to use ffmpeg to perform deinterlacing in tvheadend when watching live TV. I want to use yadif deinterlacing method but to do that I need to install libx264 encoder and ffmpeg needs to be able to use it.

How do I do this? Can I change build settings for ffmpeg to include libx264 library? I tried this but I keep getting an error message that libx264 library can't be found during building. Can I just install libx264 library and get ffmpeg to use it?

Can I simply install libx264 library onto OpenELEC and get ffmpeg to use it? If so, how do I do this?

Any suggestions on how to do this are welcome. I do not understand the error messages I am getting during the build, I do not understand how to "add" libx264 library so it can be build with ffmepg during re-compiling of OpenELEC, etc.

Thank you ahead of time.
Last Edit: 1 year 2 months ago by pajtaz.
The administrator has disabled public write access.

Compile ffmpeg with libx264 encoder OR install it 1 year 2 months ago #2

  • pajtaz
  • pajtaz's Avatar
  • Offline
  • Fresh Boarder
  • Posts: 19
  • Thank you received: 1
  • Karma: 0
Anybody?
The administrator has disabled public write access.